---
title: HTMLVideoElement.autoPictureInPicture
slug: Web/API/HTMLVideoElement/autoPictureInPicture
tags:
  - API
  - HTML
  - HTML DOM
  - HTMLVideoElement
  - Media
  - Picture-in-Picture
  - Picture-in-Picture API
  - Property
  - Reference
  - Video
  - pip
---
<p>{{APIRef("HTML DOM")}}</p>

<p><span class="seoSummary">The {{domxref("HTMLVideoElement")}}  <code><strong>autoPictureInPicture</strong></code> property reflects the HTML attribute indicating whether the video should enter or leave picture-in-picture mode automatically.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>autoPictureInPicture</em> = <em>htmlVideoElement</em>.<em>autoPictureInPicture</em>;</pre>

<h3 id="Value">Value</h3>

<p>A {{DOMxRef("Boolean")}} whose value is <code>true</code> if the video should enter or leave picture-in-picture mode automatically when changing tab and/or application.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Picture-in-Picture', "#auto-pip", "HTMLVideoElement.autoPictureInPicture")}}</td>
   <td>{{Spec2('Picture-in-Picture')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLVideoElement.autoPictureInPicture")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><code><a href="/en-US/docs/Web/API/HTMLVideoElement">HTMLVideoElement</a></code></li>
</ul>
